#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip> 
using namespace std;


int main()
{
    int n;
    cin >> n;
    vector<double> frilenseri(n);
    vector<double> procenti(n);
    double zbir = 0;
    vector<double> prihodi(n);
    for (int i = 0; i < n; i++)
    {
        cin >> frilenseri[i] >> procenti[i];
        zbir += frilenseri[i];
    }
    double trenutniZbir = zbir;
    for (int i = 0; i < n; i++)
    {
        for (int j = 0; j < n; j++)
        {
            if (procenti[i] > procenti[j]) {
                trenutniZbir -= frilenseri[j];
            }           
        }
        prihodi[i] = (trenutniZbir / 100 * procenti[i]);
        trenutniZbir = zbir;
    }
    
    sort(prihodi.begin(), prihodi.end());
    cout << fixed << setprecision(6) << prihodi[n - 1] << endl;
    return 0;
}